# Uses of Interface
com.sun.mirror.declaration.AnnotationMirror

Packages that use AnnotationMirror
Package
Description
com.sun.mirror.declaration
Interfaces used to model program element declarations.

## Uses of AnnotationMirror in com.sun.mirror.declaration

Methods in com.sun.mirror.declaration that return types with arguments of type AnnotationMirror
Modifier and Type
Method
Description
`Collection<AnnotationMirror>`
Declaration.`getAnnotationMirrors()`
Returns the annotations that are directly present on this declaration.